g = 9

G = "Sp(6)"
dimG = 21

V = "\wedge^<3> C^6"
dimV = 14

synthetic = False
# set this boolean to True or False
# to decide if you want synthetic output or complete output


########################################
# unipotent case

# load toolkit from stab_nilp.py
from stab_nilp import *

# list of non-trivial orbits (i.e., without that of 0)
# format [blocks,dim]

orbites_0=[
[[10,4],18],
[[6]+[4]*2,16],
[[4]+[3]*2+[2]*2,14],
[[5]+[3]*2+[1]*3,14],
[[4]+[2]*5,12],
[[3]*2+[2]*2+[1]*4,10],
[[2]*5+[1]*4,6]
]

nilp_complete (g, G, dimG, V, dimV, orbites_0, synthetic)



########################################
# semi-simple case

# load toolkit from stab_smspl.py
from stab_smspl import *



print("\n"+60*"*")
print("preliminary combinatorial material")
print("(for genus", g, ", semisimple case)\n")

print("list of all partitions of", dimV, "with chunks of size <=3")
l = liste_partitions(dimV,3)
for x in l:
    print(x)

print("\nselecting maximal elements among them")
l_max = nettoie(l)

# passage au format strate
regular = l_max
for i in range(len(regular)):
    regular[i] = [18,regular[i], "regular"]

print("\nnow we're ready to go")



strates = regular + [
    [16,[4,4,3,3], "t2=t3"],
    [16,[4,4,2,2,2], "t2=t3"],
    [16,[4,3,3,2,1,1], "t3^2=1"],
    [12,[7,7], "t1=t2=t3"],
    [12,[6,6,2], "t1=t2=t3"],
    [14,[6,4,4], "t2=t3 and t1^2=1"],
    [12,[5,5,4], "t2=t3 and t3^2=1"],
    [14,[5,5,2,2], "t2^2=t3^2=1"],
    [8,[10,4], "t1=t2 and t1^2=t3^2=1"]
]

smspl_complete (g, G, dimG, V, dimV, strates, synthetic)
